aboutsummaryrefslogtreecommitdiffstats
path: root/meta-oe/recipes-core/udev/udev/nokia900/nokia-n900-mac-hack.sh
diff options
context:
space:
mode:
Diffstat (limited to 'meta-oe/recipes-core/udev/udev/nokia900/nokia-n900-mac-hack.sh')
-rw-r--r--meta-oe/recipes-core/udev/udev/nokia900/nokia-n900-mac-hack.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/meta-oe/recipes-core/udev/udev/nokia900/nokia-n900-mac-hack.sh b/meta-oe/recipes-core/udev/udev/nokia900/nokia-n900-mac-hack.sh
new file mode 100644
index 0000000000..c0b8251ae9
--- /dev/null
+++ b/meta-oe/recipes-core/udev/udev/nokia900/nokia-n900-mac-hack.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+if [ $# -ne 2 ]; then
+ echo "Usage: $0 iface newmac"
+ echo " newmac is only saved if /etc/<iface>MAC is not found"
+ exit 1
+fi
+
+iface="$1"
+newmac="$2"
+macfile=/etc/"$iface"mac
+
+# If no MAC is found, save the one given as argument
+if [ ! -e $macfile ]; then
+ /bin/echo "$newmac" > $macfile
+# Otherwise load MAC from file
+else
+ newmac=`/bin/cat $macfile`
+fi
+
+# Configure interface
+/sbin/ifconfig "$iface" down
+/sbin/ifconfig "$iface" hw ether $newmac